/**
 * Fetches svg and inlines it
 *
 * @param {string} selector Query selector to find svg containers with
 */
function inlineSVG() {
  const imgs = document.querySelectorAll('[data-svg-src]');

  for (let i = 0; i < imgs.length; i += 1) {
    fetch(imgs[i].dataset.svgSrc)
      .then(resp => resp.text())
      .then((resp) => {
        imgs[i].insertAdjacentHTML('beforeend', resp);
      });
  }
}

export default inlineSVG;
